/*-----------------------------------------------------------------------------
    Name: Flow_2
    Generated By: This is an auto generated script. You can, however, make a copy of this script using advanced script manager and enhance it.
    Date of generation: 04/13/2021 08:53:25
    Flow details:
    Build details: 4.6.0 (build# 49)
    Modification History:
-----------------------------------------------------------------------------*/

package com.cavisson.scripts.Script_JAVANew;
import pacJnvmApi.NSApi;



public class Flow_2 implements NsFlow
{
    public int execute(NSApi nsApi) throws Exception
    {
        int status = 0;

        nsApi.ns_start_transaction("XMLPage");
        nsApi.ns_web_url ("XMLPage",
        "URL=http://10.10.30.41:8080/xml/Myxml.xml",
        "METHOD=GET",
        "HEADER=Accept:text/plain,application/json,text/html,application/javascript,application/xml",
        "HEADER=User-Agent:Mozilla/5.0 (Windows; U; Windows NT 6.0; de-DE) AppleWebKit/533.21.1 (KHTML, like Gecko) Version/5.0.5 Safari/533.21.1",
        "HEADER=Accept-Encoding: gzip, deflate, br, compress;q=0.9"
        );
        nsApi.ns_end_transaction("XMLPage", NS_AUTO_STATUS);

    status = nsApi.ns_page_think_time(0.0);

        nsApi.ns_start_transaction("JsonPage");
        nsApi.ns_web_url ("JsonPage",
        "URL=http://10.10.30.41:8080/json/CycleBook.json",
        "METHOD=GET",
        "HEADER=Accept:text/plain,application/json,text/html,application/javascript,application/xml",
        "HEADER=User-Agent:Mozilla/5.0 (Windows; U; Windows NT 6.0; de-DE) AppleWebKit/533.21.1 (KHTML, like Gecko) Version/5.0.5 Safari/533.21.1",
        "HEADER=Accept-Encoding: gzip, deflate, br, compress;q=0.9"
        );
        nsApi.ns_end_transaction("JsonPage", NS_AUTO_STATUS);

    status = nsApi.ns_page_think_time(0.0);

        nsApi.ns_start_transaction("XML2");
        nsApi.ns_web_url ("XML2",
        "URL=http://10.10.30.41:8080/xml/xmlfile.xml",
        "METHOD=GET",
        "HEADER=Accept:text/plain,application/json,text/html,application/javascript,application/xml",
        "HEADER=User-Agent:Mozilla/5.0 (Windows; U; Windows NT 6.0; de-DE) AppleWebKit/533.21.1 (KHTML, like Gecko) Version/5.0.5 Safari/533.21.1",
        "HEADER=Accept-Encoding: gzip, deflate, br, compress;q=0.9"
        );
        nsApi.ns_end_transaction("XML2", NS_AUTO_STATUS);

    status = nsApi.ns_page_think_time(0.0);

        return status;
    }
}
